(set-default-font "-misc-fixed-medium-r-normal--20-*");

(defun next-and-revert-all-buffers ()
   "Updates then refreshes all open buffers from their respective files"
   (interactive)
   (shell-command "git diff HEAD > /tmp/diff; git reset --hard; git ls-files -o | xargs -r rm -f; guilt push")
   (let* ((list (buffer-list))
          (buffer (car list)))
     (while buffer
       (when (buffer-file-name buffer)
         (set-buffer buffer)
         (revert-buffer t t t))
       (setq list (cdr list))
       (setq buffer (car list)))))

(global-set-key [f9] 'next-and-revert-all-buffers)
